#
# The purpose of this file is to categorize the bank properties
# for their display in the GUI. Additionally, the properties can be
# typed. For example : database.type=db>list|hsqldb,mysql means
# that the property "database.type" belongs to the "db" category, 
# and is a list that contains two values "mysql" and "hsql". It will
# be represented as a combox item in the gui. The other type is "bin"
# which corresponds to a boolean value "true"/"false". It can be represented
# as a checkbox.
#


data.dir=init
frequency.update=init
offline.dir.name=init
db.type=init
dir.version=init
db.fullname=init
db.name=init
db.formats=init

server=release
release.regexp=release
remote.dir=release
remote.excluded.files=release
remote.files=release
release.file.compressed=release>bin
release.file=release
release.dateformat=release

#wget.options=download
protocol=download>list|ftp,http,sftp,rsync,local,directhttp,s3
files.num.threads=download
bank.num.threads=download
do.link.copy=download>bin

no.extract=extract>bin
extract.threads=extract

local.files=makerelease
local.files.excluded=makerelease


#database.type=db>list|hsqldb,mysql
#database.driver=db
#database.login=db
#database.url=db
#database.password=db

password=ftpconfig
ftp.timeout=ftpconfig
username=ftpconfig
port=ftpconfig
ftp.automatic.reconnect=ftpconfig
ftp.active.mode=ftpconfig>bin

http.group.file.date=httpconfig
http.parse.file.line=httpconfig
http.parse.dir.line=httpconfig
http.group.dir.name=httpconfig
http.group.file.size=httpconfig
http.group.dir.date=httpconfig
http.group.file.name=httpconfig


target.name=directhttpconfig
url.method=directhttpconfig>list|GET,POST

production.directory.chmod=deployment
keep.old.version=deployment

historic.logfile.level=general>list|DEBUG,VERBOSE,INFO,WARN,ERR
historic.logfile.task=general>bin
historic.logfile.target=general>bin
historic.logfile.properties=general>bin
log.files=general>bin
mail.smtp.host=general
mail.admin=general
mail.from=general
list.files.available=general>bin
visibility.default=general>list|private,public

